[med-svn] [pdb2pqr] 03/03: add another test (which currently raises error)+updated changelog and docs

Tatiana Malygina latticetower-guest at moszumanska.debian.org
Tue Jun 14 22:34:07 UTC 2016


This is an automated email from the git hooks/post-receive script.

latticetower-guest pushed a commit to branch master
in repository pdb2pqr.

commit bad64468c8d5052d169271512629720d72119790
Author: latticetower-guest <merlettaia at gmail.com>
Date:   Wed Jun 15 01:24:17 2016 +0300

    add another test (which currently raises error)+updated changelog and docs
---
 debian/changelog          |  4 ++++
 debian/docs               |  2 ++
 debian/tests/control      |  2 +-
 debian/tests/pdb2pka-test | 40 ++++++++++++++++++++++++++++++++++++++++
 4 files changed, 47 insertions(+), 1 deletion(-)

diff --git a/debian/changelog b/debian/changelog
index 326279f..0ae0d03 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,6 +4,10 @@ pdb2pqr (2.1.1+dfsg-2) UNRELEASED; urgency=medium
   * add README.test, docs, examples and simple testsuite
   * enable hardening
   * add patch to remove hardening-no-relro warning
+  * improved tests: add separate tests for use with pdb2pqr-doc installed and
+    without it
+  * found parameter set when error raised (described in `pdb2pka-test` 
+    in testsuite), updated d/docs
 
  -- Tatiana Malygina <merlettaia at gmail.com>  Mon, 13 Jun 2016 15:31:19 +0000
 
diff --git a/debian/docs b/debian/docs
index 031ed39..3666230 100644
--- a/debian/docs
+++ b/debian/docs
@@ -1,2 +1,4 @@
 debian/README.test
 debian/tests/installation-test
+debian/tests/ligands-test
+debian/tests/pdb2pka-test
diff --git a/debian/tests/control b/debian/tests/control
index 2999c55..c9e4ae8 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -2,6 +2,6 @@ Tests: installation-test
 Depends: pdb2pqr
 Restrictions: allow-stderr
 
-Tests: ligands-test
+Tests: ligands-test, pdb2pka-test
 Depends: @
 Restrictions: allow-stderr
diff --git a/debian/tests/pdb2pka-test b/debian/tests/pdb2pka-test
new file mode 100644
index 0000000..25e001d
--- /dev/null
+++ b/debian/tests/pdb2pka-test
@@ -0,0 +1,40 @@
+#!/bin/sh
+# autopkgtest check: build and run with default test data
+# Author: Tatiana Malygina <merlettaia at gmail.com>
+# this test is turned off now - currently raises error, explained in comments.
+
+set -e
+
+pkg=pdb2pqr
+example_pkg=pdb2pqr-doc
+
+if [ "$ADTTMP" = "" ] ; then
+  ADTTMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf $ADTTMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cd $ADTTMP
+
+cp -a /usr/share/doc/${example_pkg}/examples/* .
+find . -type f -name "*.gz" -exec gunzip \{\} \;
+for lnk in `find . -type l -name "*.gz"` ; do
+    ln -s `basename $(readlink $lnk) .gz` `echo $lnk | sed 's/\.gz$//'`
+    rm $lnk
+done
+
+echo "Run pdb2pqr..."
+
+## following fails (this call also present in fabfile.py):
+pdb2pqr --with-ph=7.0 --ph-calc-method=pdb2pka --ff=parse --verbose 1a1p 1a1p.pqr
+## Traceback:
+## Running PDB2PKA and applying at pH 7.00... 
+## Traceback (most recent call last):
+##  File "/usr/bin/pdb2pqr", line 62, in <module>
+##    mainCommand(sys.argv)
+##  File "/usr/share/pdb2pqr/main.py", line 740, in mainCommand
+##    include_old_header = options.include_header)
+##  File "/usr/share/pdb2pqr/main.py", line 341, in runPDB2PQR
+##    myRoutines.runPDB2PKA(ph, ff, pdblist, ligand, verbose, ph_calc_options)
+##  File "/usr/share/pdb2pqr/src/routines.py", line 1503, in runPDB2PKA
+##    import pka
+## ImportError: No module named pka

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/pdb2pqr.git



More information about the debian-med-commit mailing list